#
# libquo.spec
#
# Copyright (c) 2014,2015 Christoph Junghans <junghans@votca.org>
#
# Licensed under the Apache Software License (ASL 2.0)
#

Name:    libquo
Version: 1.2.4
Release: 1.1

Source: http://losalamos.github.io/libquo/dists/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
URL: http://losalamos.github.io/libquo/
Summary: A library that make run-time tuning of process binding policies easy
Group: Development/Libraries/C and C++
License: BSD-3-Clause

BuildRoot:  %{_tmppath}/%{name}-%{version}-build

BuildRequires:  openmpi-devel
BuildRequires:  pkg-config
BuildRequires:  hwloc
BuildRequires:  numactl

%description
QUO, a high-level, easy to use programming interface tailored specifically for 
MPI/MPI+X codes that may benefit from evolving process binding policies during 
their execution. QUO allows for arbitrary process binding policies to be enacted 
and reverted during the execution of an MPI/MPI+X application as different computational 
phases are entered and exited, respectively.

%package -n libquo3
Summary:    A library that make run-time tuning of process binding policies easy
Group:      Development/Libraries/C and C++

%description -n libquo3
QUO, a high-level, easy to use programming interface tailored specifically for 
MPI/MPI+X codes that may benefit from evolving process binding policies during 
their execution. QUO allows for arbitrary process binding policies to be enacted 
and reverted during the execution of an MPI/MPI+X application as different computational 
phases are entered and exited, respectively.

%package devel
Summary:    Development headers and libraries for libquo
Group:      Development/Libraries/C and C++
Requires:   libquo3 = %{version}-%{release}

%description devel
QUO, a high-level, easy to use programming interface tailored specifically for 
MPI/MPI+X codes that may benefit from evolving process binding policies during 
their execution. QUO allows for arbitrary process binding policies to be enacted 
and reverted during the execution of an MPI/MPI+X application as different computational 
phases are entered and exited, respectively.

This package contains development headers and libraries for libquo

%prep
%setup

%build
%if %{defined fedora}
%{_openmpi_load}
%endif
%configure --enable-shared CC=mpicc
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/*.la

%post -n libquo3 -p /sbin/ldconfig
%postun -n libquo3 -p /sbin/ldconfig

%files -n libquo3
%defattr(-,root,root,0755)
%{_libdir}/libquo.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libquo.so
%{_libdir}/libquo.a
%{_libdir}/pkgconfig/libquo.pc

%changelog
* Sat Oct 10 2015 junghans@votca.org
- version bumped to 1.2.4, details:
  https://github.com/losalamos/libquo/commits/master
- added pkg-config file to devel package
* Thu Nov 20 2014 junghans@votca.org
- initial commit
